# MCS_DynamicChannelId Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_DynamicChannelId:

List of all members.

## Public Member Functions

| MCS_DynamicChannelId (unsigned tag=UniversalInteger, TagClass tagClass=UniversalTagClass)
MCS_DynamicChannelId & | operator= (int v)
MCS_DynamicChannelId & | operator= (unsigned v)
PObject * | Clone () const

## Constructor & Destructor Documentation

MCS_DynamicChannelId::MCS_DynamicChannelId | ( | unsigned | tag = `UniversalInteger`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

MCS_DynamicChannelId& MCS_DynamicChannelId::operator= | ( | int | v | ) |

Reimplemented in MCS_UserId, MCS_PrivateChannelId, and MCS_AssignedChannelId.

MCS_DynamicChannelId& MCS_DynamicChannelId::operator= | ( | unsigned | v | ) |

Reimplemented in MCS_UserId, MCS_PrivateChannelId, and MCS_AssignedChannelId.

PObject* MCS_DynamicChannelId::Clone | ( |  | ) | const

Reimplemented in MCS_UserId, MCS_PrivateChannelId, and MCS_AssignedChannelId.

The documentation for this class was generated from the following file:

- mcs.h